Name:           gettext-commons
Version:        0.9.6
Release:        4%{?dist}
Summary:        Java internationalization (i18n) library

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://code.google.com/p/gettext-commons/
Source0:        http://gettext-commons.googlecode.com/files/%{name}-%{version}-src.tar.gz
# This patch is from Debian
Patch0:         %{name}-0.9.6-buildxml.patch
# Fix some javadoc warnings
# http://code.google.com/p/gettext-commons/issues/detail?id=36
Patch1:         %{name}-0.9.6-javadoc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
Requires:       jpackage-utils
Requires:       java


%description
The Gettext Commons project provides Java classes for internationalization 
(i18n) through GNU gettext.

The lightweight library combines the power of the unix-style gettext tools 
with the widely used Java ResourceBundles. This makes it possible to use the 
original text instead of arbitrary property keys, which is less cumbersome 
and makes programs easier to read.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils


%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Remove pre-built JAR and class files
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;


%build
ant


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p Releases/%{name}-0.9.jar   \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

# JAR alias
pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf %{name}-%{version}.jar %{name}.jar
popd

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rp api/*  \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

#javadoc alias
pushd $RPM_BUILD_ROOT%{_javadocdir}
ln -sf %{name}-%{version} %{name}
popd



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%doc ChangeLog LICENSE.txt README


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}


%changelog
* Fri Oct 16 2009 Andrea Musuruane <musuruan@gmail.com> 0.9.6-4
- Submitted javadoc patch upstream
- Fixed javadoc package requires
- Created javadoc directory alias

* Fri Aug 14 2009 Andrea Musuruane <musuruan@gmail.com> 0.9.6-3
- Fixed javadoc generation

* Sun Aug 09 2009 Andrea Musuruane <musuruan@gmail.com> 0.9.6-2
- Created JAR alias

* Sun Aug 02 2009 Andrea Musuruane <musuruan@gmail.com> 0.9.6-1
- First release
- Used build.xml from Debian
